@import "compass";
@import 'scss/font-awesome';
@import 'aside_calendar';

//----- Font awsome -----

@mixin icon($icon) {
	@include icon-FontAwesome();
	content: $icon;
}

@mixin icon-FontAwesome() {
	font-family: FontAwesome;
	font-weight: normal;
	font-style: normal;
	text-decoration: inherit;
	-webkit-font-smoothing: antialiased;
	*margin-right: .3em; // fixes ie7 issues
}

@mixin single-transition($t-property: all, $t-duration: 0.3s, $t-timing: linear, $t-delay: 0s) {
	-webkit-transition: $t-property $t-duration $t-timing $t-delay;
	-moz-transition: $t-property $t-duration $t-timing $t-delay;
	-o-transition: $t-property $t-duration $t-timing $t-delay;
	transition: $t-property $t-duration $t-timing $t-delay;
}

@mixin border_radius($size: 50%) {
	border-radius: $size;
	-moz-border-radius: $size;
	-webkit-border-radius: $size;
}

@mixin shadow($horisontal: 1px, $vertical: 1px, $blur: 5px, $spread: 0, $color: #333333) {
	-webkit-box-shadow: $horisontal $vertical $blur $spread $color;
	box-shadow: $horisontal $vertical $blur $spread $color;
}

@mixin clearfix {
	zoom:1;
	
	&:before, &:after {
		content: "\0020";
		display: block;
		width: 100%;
		height: 0;
		overflow: hidden;
	}
	
	&:after {
		clear: both;
	}
}

$green: #4DA54E;
$pink: #E83351;
$red: #f04124;
$yellow: #797911;
$white: #ffffff;
$black: #000000;
$blue: #0078a0;

// LAYOUT

.row {
	max-width: 76rem;
}

// SIDEBAR

aside {
	font-size: 0.5em;
	
	p {
		font-size: 0.85rem;
	}
	
	h4 {
		font-size: 1.2rem;
	}
}

// TOP Navigation

$topbarheight: 3.2rem;

nav.top-bar {
	height: $topbarheight;
	line-height: $topbarheight;
	
	.name {
		height: $topbarheight;
		
		h1 {
			height: $topbarheight;
		}
	}
	
	h1 {
		background-color: $pink;

		img {
			margin-top: 0px;
			height: auto;
			width: auto;
		}
	}
	
	li:not(.has-form),
	& a:not(.button) {
		line-height: $topbarheight !important;
		height: $topbarheight;
	}
}

.top-bar {
	li a {
		font-size: 14px !important;
		@include single-transition(background-color, 0.2s, linear);
	}
	
	li.active:not(.has-form) a:not(.button),
	li.active:not(.has-form):hover a:not(.button),
	li.active:not(.has-form) a:not(.button):hover,
	li:not(.has-form):hover a:not(.button),
	li:not(.has-form) a:not(.button):hover {
		background-color: #E83351;
	}
	
	li.name a {
		background-color: transparent !important;
	}
	
	.left li {
		a:before {
			display: inline-block;
			margin-right: 0.5em;
			font-size: 1.25em;
		}
		
		
	
	
		&:nth-child(1) a:before {
			@include icon($fa-var-home);
		}
	
		&:nth-child(2) a:before {
			@include icon($fa-var-calendar);
		}
	
		&:nth-child(3) a:before {
			@include icon($fa-var-list);
		}
	
		&:nth-child(4) a:before {
			@include icon($fa-var-users);
		}
	
		&:nth-child(5) a:before {
			@include icon($fa-var-line-chart);
		}
	
		&:nth-child(6) a:before {
			@include icon($fa-var-cogs);
		}
	}
	
	.right li {
		.label {
			position: relative;
			top: -2px;
		}
		
		&.create_venue a {
			background: $green !important;
		}
		
		a i.fa {
			font-size: 1.25em;
		}
		
		a span.label i.fa {
			font-size: 1em;
		}
	}
}

.button {
	background-color: #4DA54E;
	
	&:hover {
		background-color: darken(#4DA54E, 10%);
	}
}

.button.pink {
	background-color: #E83351;
	
	&:hover {
		background-color: darken(#E83351, 10%);
	}
}

.button.red {
	background-color: $red;
	
	&:hover {
		background-color: darken($red, 10%);
	}
}

a {
	color: #E83351;
	
	&.help_link {
		display: inline-block;
		line-height: 49px;
		color: $blue;
		font-size: 17px;
		
		i {
			color: lighten($black, 10%);
		}
	}
}

img.place {
	width: 100%;
	height: auto;
}

table {
	ul.button-group {
		width: auto;
		display: inline-block;
	}
	
	td[align="right"] {
		text-align: right !important;
	}
}



table a.button {
	margin-bottom: 0 !important;
}

table tr.small th {
	font-size: 0.75em;
}

/*table thead tr th, table thead tr td {
	text-align: center;
}*/

table.inbox_table {
	a {
		color: inherit !important;
	}
}

.sub-nav {
	background-color: #f2f2f2;
	padding: 10px 10px 10px 0;
}

sub-nav dt a, .sub-nav dd a, .sub-nav li a {
	padding: 0.1875rem 0.1rem;
}

.tabs {
	background-color: #f6f6f6;
	padding: 3px;
}

.tabs dd > a, .tabs .tab-title > a {
	padding: 0.5rem 0.75rem;
}

.resource_img {
	margin-bottom: 30px;
}

		.empty_dash {
			min-height: 200px;
			margin-top: 39px;
			padding-top: 0px;
			border: 2px dashed #dddddd;
			text-align: center;
			color: #dddddd;
			font-size: 30px;
			border-radius: 16px;
			
			cursor: pointer;
		}
		
		.empty_dash span {
			font-size: 80px;
			position: relative;
			top: 15px;
		}
		
		.dashboarrd_title {
			position: relative;
			width: 100%;
		}
		
		.dashboarrd_title:after {
			position: absolute;
			top: -5px;
			right: 0;
			
			content: '-';
			font-size: 30px;
			color: #aaa;
		}
		
		.dashboarrd_title:hover:after {
			color: red;
		}
		
.button:before {
	margin-right: 0.5em;
}

[class*="column"] + [class*="column"]:last-child {
	float: left;
}

label.check {
	text-align: center;
	
	input[type="checkbox"] {
		margin-top: 10px;
	}
}

span.noimage {
	.fa {
		font-size: 40px;
	}
}


// Breadcrumbs

.breadcrumbs {
	display: none !important;
}

/*map*/

.maps {
	position: relative;
}

.marker {
	font-size: 42px;
}

.marker.door {
	position: absolute;
	color: red;
}

.marker.own-position {
	position: absolute;
	left: 50%;
	top: 50%;
	margin-top: -20px;
	margin-left: -10px;
	color: green;
}

.keys span {
	display: inline-block;
	width: 32%;
	font-size: 18px;
}

.keys span:before {
	display: inline-block;
	margin-right: 0.5em;
}

.keys span:nth-child(1):before {
	color: green;
}
.keys span:nth-child(2):before {
	color: red;
}
.keys span:nth-child(3):before {
	color: blue;
}
.keys span:nth-child(4):before {
	color: orange;
}
.keys span:nth-child(5):before {
	color: purple;
}
.keys span:nth-child(6):before {
	color: black;
}
.keys span:nth-child(7):before {
	color: grey;
}
.keys span:nth-child(8):before {
	color: brown;
}
.keys span:nth-child(9):before {
	color: magenta;
}
.keys span:nth-child(10):before {
	color: cyan;
}

/*Menu*/

.service {
	display: block;
	width: 100%;
	border: 1px solid darken(white, 22%);
	margin: 13px 0;
	padding: 8px 12px;
	background-color: white;
	color: inherit !important;
	@include single-transition(background-color, 0.2s, linear);
	
	a {
	
		display: inline-block;
		width: 96%;
		color: inherit !important;
		white-space: nowrap;
		
	}
	
	strong {
		display: inline-block;
		width: 49.5%;
	}
	
	span {
		display: inline-block;
		text-align: right;
		width: 24.5%;
	}
	
	i {
		cursor: pointer;
		
		&:hover {
			color: $green;
		}
	}
	
	&:hover {
		background-color: darken(white, 10%);
	}
}

.pricing_level {
	display: block;
	width: 100%;
	border: 1px solid darken(white, 22%);
	margin: 2px 0;
	padding: 8px 12px;
	background-color: darken(white, 5%);
	color: inherit !important;
	
	span {
		display: inline-block;
		width: 19.999%;
		
		&:nth-child(2),
		&:nth-child(3),
		&:nth-child(4) {
			text-align: center;
		}
		
		&:nth-child(5) {
			text-align: right;
		}
	}
	
	a.button {
		margin: {
			top: -2px;
			bottom: -2px;
		}
		padding: {
			top: 0.5rem;
			bottom: 0.5rem;
		}
	}
}

/* Popup */

.blackout {
	position: fixed;
	z-index: 35;
	width: 100%;
	height: 100%;
	left: 0;
	top: 0;
	right: 0;
	left: 0;
	background-color: rgba(#000000, 0.45);
}

#popup {
	position: absolute;
	top: 120px;
	left: 50%;
	margin-left: -350px;
	padding: 0 20px;
	width: 700px;
	background-color: white;
	border: 1px solid darken(white, 55%);
	@include border-radius(10px);
	@include shadow(5px, 5px, 20px, 0, rgba(black, 0.333));
	
	&.wide {
		margin-left: -380px;
		width: 760px;
	}
	
	&.thin {
		margin-left: -160px;
		width: 320px;
	}
	
	& > h2 {
		font-size: 18px;
		padding: 12px 20px;
		margin: 0 0 30px 0;
		background-color: $pink;
		color: white;
		margin-top: -1px;
		margin-left: -20px;
		margin-right: -20px;
		@include border-radius(10px 10px 0 0);
	}
}

// Table

table {
	.button {
		margin-bottom: 0 !important;
	}
}

/* Image upload button fix */

.image_upload {
	a.button {
		padding: {
			top: 0.83em !important;
			bottom: 0.83em !important;
		}
		
		& {
			border-left: 1px solid white;
		}
	}
}

/* Calendar */

// Calendar key

.calendar_key {
	margin-top: -20px;
	font-size: 0;
	
	span {
		display: inline-block;
		width: 33.33321%;
		padding: 15px 10px;
		font-size: 15px;
		text-align: center;
	}
	
	.past {
		background-color: darken(white, 15%);
		border-bottom: 3px solid darken(darken(white, 15%), 10%);
	}
	
	.accepted {
		background-color: lighten($green, 15%);
		border-bottom: 3px solid darken(lighten($green, 15%), 10%);
	}
	
	.waiting {
		background-color: orange;
		border-bottom: 3px solid darken(orange, 10%);
	}
}



@for $i from 1 through 24 {
	.calendar_hour:nth-child(#{$i}),
	.calendar_weekday:nth-child(#{$i}),
	.calendar_weekday_hour:nth-child(#{$i}) {
		z-index: 30 - $i;
	}
}

.calendar_hour {
	position: relative;
	border: 1px solid darken(white, 25%);
	padding: 14px 10px 14px 0;
	background-color: white;
	
	&.today,
	&.today .hour {
		background-color: lighten(yellow, 45%);
	}
	
	&.close,
	&.close .hour {
		background-color: darken(white, 4.5%);
	}
	
	& + & {
		border-top: none;
	}
	
	* {
		z-index: 1;
	}
	
	&:after {
		content: '';
		display: block;
		position: absolute;
		z-index: 0;
		left: 0;
		top: 50%;
		margin-top: -1px;
		height: 1px;
		width: 100%;
		
		
		background-color: darken(white, 10%);
	}
	
	.hour {
		position: relative;
		padding: 0 10px;
		background-color: white;
	}
	
	a[title="Close the Day"] {
		display: block;
		position: absolute;
		
		right: 10px;
		top: 12px;
		width: 30px;
		height: 30px;
		
		text-align: center;
		line-height: 30px;
		
		color: white;
		background-color: $red;
		
		opacity: 0;
		
		@include single_transition(opacity, 0.222s, linear);
		@include border_radius(5px);
	}
	
	&:hover {
		a[title="Close the Day"] {
			opacity: 1;
		}
	}
	
	&.past,
	&.today,
	&.close {
		a[title="Close the Day"] {
			display: none;
		}
	}
	
	a[title="Open the Day"] {
		display: block;
		position: absolute;
		
		right: 10px;
		top: 12px;
		width: 30px;
		height: 30px;
		
		text-align: center;
		line-height: 30px;
		
		color: white;
		background-color: $green;
		
		opacity: 0;
		
		@include single_transition(opacity, 0.222s, linear);
		@include border_radius(5px);
	}
	
	&:hover {
		a[title="Open the Day"] {
			opacity: 1;
		}
	}
	
	&.past,
	&.today {
		a[title="Open the Day"] {
			display: none;
		}
	}
	
	.appointment {
		position: absolute;
		padding: 5px 10px;
		width: 31%;
		background-color: lighten($green, 15%);
		color: inherit !important;
		
		&:before {
			content: '';
			display: block;
			width: 4px;
			height: 100%;
			position: absolute;
			left: 0;
			top: 0;
		}
			//background-color: rgba($black, 0.22222);
		
		//@include border-radius(8px);
		//@include shadow(3px, 3px, 10px, 0, rgba(black, 0.15));
		
		&.unconfirmed {
			background-color: orange;
		}
		
		&.past {
			background-color: darken(white, 15%);
		}
		
		&.another_venue {
			background-color: white;
			border: 2px dashed lighten(black, 75%);
			
			span {
				color: lighten(black, 40%);
			}
		}
		
		&.full {
			width: 78% !important;
			left: 14% !important;
		}
		
		&.column-1 {
			left: 6%;
		}
		
		&.column-2 {
			left: 37.5%;
		}
		
		&.column-3 {
			left: 69%;
		}
		
		&.start-0 {
			top: 0;
		}
		
		&.start-15 {
			top: 25%;
		}
		
		&.start-30 {
			top: 50%;
		}
		
		&.start-45 {
			top: 75%;
		}
		
		&.time-1 {
			height: 100%;
		}
		
		&.time-15 {
			height: 150%;
		}
		
		&.time-2 {
			height: 200%;
		}
		
		.title {
			font-weight: bold;
		}
		
		.time {
			position: absolute;
			bottom: 3px;
			left: 10px;
		}
		
		.worker {
			position: absolute;
			bottom: 3px;
			right: 10px;
			display: none;
			
			.admin & {
				display: inline-block;
			}
		}
		
		.info {
			display: block;
			position: absolute;
			top: 3px;
			right: 10px;
			
			i {
				font-size: 1.3em;
			}
			
			.info_inner {
				display: none;
				position: absolute;
				right: 50%;
				top: 50%;
				border: 1px solid lighten(black, 55.555%);
				padding: 10px;
				min-width: 260px;
				background-color: white;
				
				@include border-radius(8px 0 8px 8px);
				@include shadow(3px, 3px, 10px, 0, rgba(black, 0.15));
				
				span {
					display: block;
				}
			}
			
			.user {
				white-space: nowrap;
				display: block;
			}
			
			.time {
				display: block;
			}
			
			.button {
				width: 100%;
				margin-top: 5px;
				margin-bottom: 0;
				display: none !important;
			}
			
			&:hover .info_inner {
				display: block !important;
			}
		}
		
		&.unconfirmed .info .info_inner .button {
			display: inline-block !important;
		}
		
		
	}
	
	&.close .appointment {
		opacity: 0.7111;
	}
	

}

.calendar_weekday {
	position: relative;
	border: 1px solid darken(white, 25%);
	padding: 14px 10px 14px 0;
	background-color: white;
	
	&.today {
		background-color: lighten(yellow, 45%);
	}
	
	.day {
		position: relative;
		display: inline-block;
		padding: 0 10px;
		width: 16%;
	}
	
	&.close,
	&.nextweek {
		background-color: darken(white, 4.5%);
	}
	
	& + & {
		border-top: none;
	}
	
	.button {
		float: right;
		margin: {
			bottom: 0;
			right: 42px;
		}
		padding: {
			top: 0.333rem;
			bottom: 0.333rem;
		}
		opacity: 0;
		
		@include single_transition(opacity, 0.222s, linear);
	}
	
	&:hover {
		.button {
			opacity: 1;
		}
	}
	
	&.past,
	&.close {
		.button {
			display: none;
		}
	}
	
	a[title="Close the Week"] {
		display: block;
		position: absolute;
		
		right: 10px;
		top: 12px;
		width: 30px;
		height: 30px;
		
		text-align: center;
		line-height: 30px;
		
		color: white;
		background-color: $red;
		
		opacity: 0;
		
		@include single_transition(opacity, 0.222s, linear);
		@include border_radius(5px);
	}
	
	&:hover {
		a[title="Close the Week"] {
			opacity: 1;
		}
	}
	
	&.past,
	&.today,
	&.close,
	&.nextweek {
		a[title="Close the Week"] {
			display: none;
		}
	}
	
	a[title="Open the Week"] {
		display: block;
		position: absolute;
		
		right: 10px;
		top: 12px;
		width: 30px;
		height: 30px;
		
		text-align: center;
		line-height: 30px;
		
		color: white;
		background-color: $green;
		
		opacity: 0;
		
		@include single_transition(opacity, 0.222s, linear);
		@include border_radius(5px);
	}
	
	&:hover {
		a[title="Open the Week"] {
			opacity: 1;
		}
	}
	
	&.past,
	&.today,
	&.nextweek {
		a[title="Open the Week"] {
			display: none;
		}
	}
	
	.appointment {
		position: relative;
		margin-left: 5px;
		padding: 5px 10px;
		width: 31%;
		height: 100%;
		background-color: lighten($green, 15%);
		color: inherit !important;
		
		//@include border-radius(8px);
		//@include shadow(3px, 3px, 10px, 0, rgba(black, 0.15));
		
		&.unconfirmed {
			background-color: orange;
		}
		
		&.past {
			background-color: darken(white, 15%);
		}
		
		&:before {
			content: '';
			display: block;
			width: 4px;
			height: 100%;
			position: absolute;
			left: 0;
			top: 0;
			background-color: rgba($black, 0.22222);
		}
	}
	
	&.close .appointment {
		opacity: 0.7111;
	}
}

.calendar_weekday2 {
	float: left;
	width: 13.529999%;
	border: {
		width: 1px 1px 1px 0;
		style: solid;
		color: darken(white, 25%);
	}
	
	&.header {
		width: 5.25%;
		border-width: 1px;
	}
	
	.day {
		position: relative;
		display: block;
		padding-top: 10px;
		height: 75px;
		text-align: center;
		font-size: 1.15em;
		background-color: darken(white, 6%);
		
		a[title="Close the Day"] {
			display: block;
			position: absolute;
		
			right: 8px;
			bottom: 8px;
			width: 30px;
			height: 30px;
		
			text-align: center;
			line-height: 30px;
		
			color: white;
			background-color: $red;
		
			opacity: 0;
		
			@include single_transition(opacity, 0.222s, linear);
			@include border_radius(5px);
		}
		
		&:hover {
			a[title="Close the Day"] {
				opacity: 1;
			}
		}
		
		a[title="Open the Day"] {
			display: block;
			position: absolute;
		
			right: 8px;
			bottom: 8px;
			width: 30px;
			height: 30px;
		
			text-align: center;
			line-height: 30px;
		
			color: white;
			background-color: $green;
		
			opacity: 0;
		
			@include single_transition(opacity, 0.222s, linear);
			@include border_radius(5px);
		}
	
		&:hover {
			a[title="Open the Day"] {
				opacity: 1;
			}
		}
	}
	
	&.past,
	&.close { 
		.day a[title="Close the Day"] {
			display: none !important;
		}
	}
	
	
	.hour {
		position: relative;
		z-index: 1;
		padding: 0 10px;
		background-color: white;
		
		text-align: center;
	}
	
	.today {
		background-color: lighten(yellow, 45%) !important;
		
		.hour {
			background-color: lighten(yellow, 45%) !important;
		}
		
		
	}
	
	&.today {
		.day {
			background-color: darken(white, 3%);
		}
	}
	
	.calendar_weekday_hour {
		position: relative;
		display: block;
		width: 100%;
		height: 56px;
		position: relative;
		border: {
			width: 1px 0 0 0;
			style: solid;
			color: darken(white, 25%);
		}
		padding: 14px 10px 14px 0;
		background-color: white;
	
		&:after {
			content: '';
			display: block;
			position: absolute;
			z-index: 0;
			left: 0;
			top: 50%;
			margin-top: -1px;
			height: 1px;
			width: 100%;
			background-color: darken(white, 10%);
		}
		
		&.close,
		&.close .hour {
			background-color: darken(white, 5%);
		}
	}
	
	&.close .calendar_weekday_hour {
		background-color: darken(white, 5%);
	}
	
	.appointment {
		position: absolute;
		top: 0;
		left: 0;
		z-index: 5;
		padding: 5px 10px;
		width: 100%;
		background-color: lighten($green, 15%);
		color: inherit !important;
		
		//@include border-radius(8px);
		//@include shadow(0px, 0px, 10px, 0, rgba(black, 0.33333));
		
		&:before {
			content: '';
			display: block;
			width: 4px;
			height: 100%;
			position: absolute;
			left: 0;
			top: 0;
			background-color: rgba($black, 0.22222);
		}
		
		&.unconfirmed {
			background-color: orange;
		}
		
		&.past {
			background-color: darken(white, 15%);
		}
		
		&.another_venue {
			background-color: white;
			border: 2px dashed lighten(black, 75%);
			
			span {
				color: lighten(black, 40%);
			}
		}
		
		&.time-1 {
			height: 100%;
		}
		
		&.time-15 {
			height: 150%;
		}
		
		&.time-2 {
			height: 200%;
		}
		
		.title {
			font-weight: bold;
			position: relative;
			top: 0;
		}
		
		.time {
			position: absolute;
			bottom: 3px;
			left: 10px;
		}
		
		.worker {
			position: absolute;
			bottom: 3px;
			right: 10px;
			display: none;
			
			.admin & {
				display: inline-block;
			}
		}
		
		.info {
			display: block;
			position: absolute;
			top: 3px;
			right: 10px;
			
			i {
				font-size: 1.3em;
			}
			
			.info_inner {
				display: none;
				position: absolute;
				right: 50%;
				top: 50%;
				border: 1px solid lighten(black, 55.555%);
				padding: 10px;
				min-width: 260px;
				background-color: white;
				
				@include border-radius(8px 0 8px 8px);
				@include shadow(3px, 3px, 10px, 0, rgba(black, 0.15));
				
				span {
					display: block;
				}
			}
			
			.user {
				white-space: nowrap;
				display: block;
			}
			
			.time {
				display: block;
			}
			
			.button {
				width: 100%;
				margin-top: 5px;
				margin-bottom: 0;
				display: none !important;
			}
			
			&:hover .info_inner {
				display: block !important;
			}
		}
	}
	
	.calendar_weekday_hour {
		&.apx2,
		&.apx3,
		&.apx4,
		&.apx5,
		&.apx6 {
			.appointment {
				@for $i from 1 through 6 {
					$left: ($i - 1) * 10%;
					
					&:nth-child(#{$i}) {
						left: #{$left};
					}
				}
				
				@include single-transition(height, 0.33s, linear);
				
				.info,
				.title {
					@include single-transition(top, 0.33s, linear);
				}
				
				&:hover {
					height: 200%;
					
					.info {
						top: 59px;
					}
					
					.title {
						top: 56px;
					}
				}
				
				&:last-of-type {
					height: 100% !important;
					
					.info {
						top: 3px !important;
					}
					
					.title {
						top: 0 !important;
					}
				}
			}
		}
		
		@for $i from 2 through 6 {
			$width: 100% - (($i - 1) * 10);
			
			&.apx#{$i} .appointment {
				width: #{$width};
			}
		}
	}
}

.calendar_day {
	position: relative;
	float: left;
	border: {
		width: 0 0 1px 1px;
		style: solid;
		color: darken(white, 25%);
	}
	padding: 14px 10px 14px 0;
	min-height: 99px;
	
	
	width: 14.25714111%;
	background-color: white;
	
	&.header {
		border-top: 1px solid darken(white, 25%);
		font-weight: bold;
		background-color: darken(white, 9.5%);
		min-height: 22px;
		
		.day {
			padding-bottom: 0 !important;
		}
	}
	
	&:nth-child(7n+0) {
		border-right: 1px solid darken(white, 25%);
	}
	
	&.today {
		background-color: lighten(yellow, 45%);
	}
	
	.day {
		position: relative;
		display: block;
		clear: both;
		padding: 0 10px 14px 10px;
		width: 16%;
	}
	
	&.close,
	&.nextmonth {
		background-color: darken(white, 4.5%);
	}
	
	.button {
		float: right;
		margin-bottom: 0;
		padding: {
			top: 0.333rem;
			bottom: 0.333rem;
		}
	}
	
	a[title="Close the Day"] {
		display: block;
		position: absolute;
		
		right: 10px;
		top: 12px;
		width: 30px;
		height: 30px;
		
		text-align: center;
		line-height: 30px;
		
		color: white;
		background-color: $red;
		
		opacity: 0;
		
		@include single_transition(opacity, 0.222s, linear);
		@include border_radius(5px);
	}
	
	&:hover {
		a[title="Close the Day"] {
			opacity: 1;
		}
	}
	
	&.past,
	&.header,
	&.today,
	&.close,
	&.nextmonth {
		a[title="Close the Day"] {
			display: none;
		}
	}
	
	a[title="Open the Day"] {
		display: block;
		position: absolute;
		
		right: 10px;
		top: 12px;
		width: 30px;
		height: 30px;
		
		text-align: center;
		line-height: 30px;
		
		color: white;
		background-color: $green;
		
		opacity: 0;
		
		@include single_transition(opacity, 0.222s, linear);
		@include border_radius(5px);
	}
	
	&:hover {
		a[title="Open the Day"] {
			opacity: 1;
		}
	}
	
	&.past,
	&.header,
	&.today,
	&.nextmonth {
		a[title="Open the Day"] {
			display: none;
		}
	}
	
	.appointment {
		position: relative;
		margin-left: 5px;
		padding: 5px 10px;
		width: 31%;
		height: 100%;
		background-color: lighten($green, 15%);
		color: inherit !important;
		text-align: center;
		
		@include border-radius(8px);
		//@include shadow(3px, 3px, 10px, 0, rgba(black, 0.15));
		
		&.unconfirmed {
			background-color: orange;
		}
		
		&.past {
			background-color: darken(white, 15%);
		}
	}
	
	&.close .appointment {
		opacity: 0.7111;
	}
}

.error.info {
	background-color: rgba($green, 0.666);
	font-size: 1em;
}

.has-tip.form-tooltip {
	display: inline-block;
	border: none;
	margin: {
		top: 8px;
	}
	width: 100%;
	text-align: center;
	
	i {
		font-size: 1.16em;
		color: lighten($black, 66%);
	}
}

/* Widget */

.widgetsite {
	padding: 50px 0 0 50px;
	background-color: darken($white, 33.33333%);
}

#iyassuWidget.widget {
	position: relative;
	padding: 25px;
	width: 500px;
	background-color: $white;
	
	@include shadow(3px, 3px, 10px, 0, rgba($black, 0.25));
	
	h1 {
		margin: -25px -25px 15px -25px;
		padding: 12px 25px;
		background-color: darken($white, 10%);
		font-size: 16px;
	}
	
	p {
		font-size: 13px;
		
		&:last-of-type {
			margin-bottom: 0;
		}
	}
	
	/*
		<div class="hourPicker">
			<div class="day">
				<span class="date">feb 19.</span>
				<span class="hourHerd">
					<span>
						<span class="h1"></span>
						<span class="h2"></span>
	
	*/
	
	$hourSquareSize: 28px;
	
	.hourPicker {
		height: auto;
		
		* {
			height: $hourSquareSize;
		}
		
		span {
			display: inline-block;
		}
		
		.day {
			height: auto;
			margin-bottom: 3px;
			padding-bottom: 3px;
			border-bottom: 1px solid darken($white, 10%);
		
			.date {
				height: $hourSquareSize;
				line-height: $hourSquareSize;
				width: 100%;
				text-align: center;
			}
			
			.hourHerd {
				font-size: 0;
				
				& > span {
					position: relative;
					width: $hourSquareSize;
					height: $hourSquareSize;
					background-color: darken($white, 10%);
				}
				
				
				.h1,
				.h2 {
					position: absolute;
					height: $hourSquareSize;
					width: 50%;
					top: 0;
				}
				
				.h1 {
					left: 0;
				}
				
				.h2 {
					right: 0;
				}
			}
		}
	}
	
	.hourPicker2 {
		
		margin-top: 6px;
		
		@for $i from 1 through 24 {
			.hour:nth-child(#{$i}) {
				z-index: 30 - $i;
			}
		}
		
		.hour {
			$hourHeight: 38px;
			$hourGap: 1px;
			
			position: relative;
			margin-bottom: $hourGap;
			padding-left: 6px;
			height: $hourHeight - 1px;
			line-height: $hourHeight;
			background-color: darken($white, 10%);
			
			&.out,
			&.late {
				opacity: 0.5;
			}
			
			.h1,
			.h2 {
				display: block;
				position: absolute;
				width: 85%;
				height: $hourHeight / 2 - 2px;
				right: 0;
				background-color: darken($white, 12.5%);
				
				.appointment {
					position: relative;
					display: block;
					width: 100%;
					height: $hourHeight * 2.5 - 2px;
					color: transparent;
					background-color: rgba($red, 0);
					
					@include single-transition(all, 0.33333s, linear);
					
					&:not(.reserved) {
						pointer-events: none;
					}
					
					&.reserved {
						pointer-events: auto !important;
					}
					
					& > span:first-of-type {
						display: block;
						position: absolute;
						right: 0;
						bottom: 0;
						padding: 10px 15px;
						text-align: right;
						font: {
							size: 13px;
							weight: bold;
						}
						
						strong {
							font-size: 20px;
						}
					}
					
					.button-group {
						position: absolute;
						top: 100%;
						right: 0;
						width: 100%;
						text-align: right;
						
						li {
							margin: 0 0 0 -4px !important;
						}
					}
				}
				
				&:hover .appointment,
				.appointment.reserved {
					background-color: rgba($red, 1);
					color: $white;
				}
				
				&.late,
				&.out {
					.appointment {
						display: none !important;
					}
				}
			}
			
			&.late,
			&.out {
				.appointment {
					display: none !important;
				}
			}
				
			.h1 {
				top: 0;
				z-index: 10;
			}
			
			.h2 {
				bottom: 0;
				z-index: 5;
			}
		}
		
		&.reserved {
			.appointment {
				display: none !important;
			}
			
			a.h1,
			a.h2 {
				cursor: default;
			}
			
			.appointment.reserved {
				display: block !important;
			}
		}
	}
	
	.hourPicker3 {
		position: relative;
		margin-top: 6px;
		
		@for $i from 1 through 24 {
			.hour:nth-child(#{$i}) {
				z-index: 30 - $i;
			}
		}
		
		.hour {
			$hourHeight: 32px;
			$hourGap: 1px;
			
			float: left;
			margin: {
				right: 0.25%;
				bottom: $hourGap;
			}
			width: 24.75%;
			height: $hourHeight - 1px;
			line-height: $hourHeight;
			background-color: darken($white, 10%);
			text-align: center;
			color: $black;;
			
			
			&.out,
			&.late {
				opacity: 0.5;
			}
			
			& {
				
				.appointment {
					position: absolute;
					top: 100%;
					left: 0;
					display: block;
					width: 100%;
					height: $hourHeight * 2.3 - 2px;
					color: transparent;
					background-color: rgba($red, 0);
					
					@include single-transition(all, 0.33333s, linear);
					
					&:not(.reserved) {
						pointer-events: none;
					}
					
					&.reserved {
						pointer-events: auto !important;
					}
					
					& > span:first-of-type {
						display: block;
						position: absolute;
						right: 0;
						bottom: 0;
						padding: 9px 11px 4px 11px;
						text-align: right;
						font: {
							size: 13px;
							weight: bold;
						}
						
						strong {
							font-size: 20px;
						}
					}
					
					.button-group {
						position: absolute;
						top: 100%;
						right: 0;
						width: 100%;
						text-align: right;
						background-color: rgba($white, 0.666);
						
						li {
							margin: 0 0 0 -4px !important;
						}
						
						.button {
							margin-bottom: 0;
						}
					}
				}
				
				
			}
			
			&:hover .appointment,
			.appointment.reserved {
				background-color: rgba($red, 1);
				color: $white;
			}
			
			&.late,
			&.out {
				.appointment {
					display: none !important;
				}
			}
		}
		
		&.reserved {
			.appointment {
				display: none !important;
			}
			
			a.h1,
			a.h2 {
				cursor: default;
			}
			
			.appointment.reserved {
				display: block !important;
			}
		}
	}
	
	// Day Selector
	
	.dayPicker {
		border: {
			width: 0 1px 1px 0;
			color: darken($white, 17.5%);
			style: solid;
		}
		@include clearfix;
		
		a,
		strong,
		span {
			display: block;
			float: left;
			width: 14.28%;
			
			border: {
				width: 1px 0 0 1px;
				color: darken($white, 17.5%);
				style: solid;
			}
			text-align: center;
			color: $black;
			
			&.today {
				font-weight: bold;
			}
		}
		
		strong {
			background-color: darken($white, 12.5%);
		}
		
		span {
			background-color: darken($white, 7.5%);
		}
		
		a:hover,
		a.selected {
			background-color: $red;
			color: $white;
		}
	}
	
	// Appointment Selector
	
	.appointmentSelector {
		margin-bottom: 22px;
		
		a,
		> span {
			display: block;
			margin-bottom: 6px;
			border: 1px solid darken($white, 15%);
			padding: 2px 5px;
			width: 100%;
			color: $black;
			
			&:hover,
			&.selected {
				background-color: $red;
				color: $white;
			}
			
			> span {
				float: right;
			}
		}
	}
	
	// Day Pager
	
	.pager {
		font-size: 41px;
		
		span {
			position: relative;
			top: -9px;
			font-size: 13px;
		}
	}
	
	// Popup
	
	.blackout {
		position: absolute;
		
		#popup {
			top: 250px;
			left: 10%;
			margin-left: 0;
			width: 80%;
		}
	}
	
	
	.unselectable {
		opacity: 0.666;
		pointer-events: none;
	}
}
